BasicPatternVariables (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.logic.basic.BasicPatternVariables class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.logic.basic
Class BasicPatternVariables

    java.lang.Object
      com.meyling.principia.argument.PatternVariables
          com.meyling.principia.logic.basic.BasicPatternVariables

public class BasicPatternVariables
extends PatternVariables

Set of pattern variables.

Version:
  $Revision: 1.8 $
Author:
  Michael Meyling

Constructor Summary
`BasicPatternVariables()` Construct an empty set of pattern variables.
`BasicPatternVariables(PatternVariables var)` Construct an set of pattern variables by an PatternVariables object.

Method Summary
`void` | `fillWithSubjectVariables(int greater)` Fill contents with subject variables, starting with given number + 1.
`int` | `getHighestNumber()` Get highest number of each entry.
`VariableList` | `getVariables()` Get VariableList of all variables, the list is orderd by type and number of the pattern variables.

Methods inherited from class com.meyling.principia.argument.PatternVariables
`add, addAll, contains, contains, emptyIntersection, equals, get, getMap, getSize, remove, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicPatternVariables

    public BasicPatternVariables()

  Construct an empty set of pattern variables.

### BasicPatternVariables

    public BasicPatternVariables(PatternVariables var)

  Construct an set of pattern variables by an PatternVariables object.

Parameters:
  `var` - PatternVariables to copy from

Method Detail

### fillWithSubjectVariables

    public final void fillWithSubjectVariables(int greater)
                                        throws IllegalArgumentException

  Fill contents with subject variables, starting with given number + 1.

  Parameters:
    `greater` - the created subject variables will start with `greater + 1`
  Throws:
    `IllegalArgumentException` - if there is already a value assigned in any pattern variable or if creation of Counter failed

### getHighestNumber

    public final int getHighestNumber()

  Get highest number of each entry.

  Returns:
    maxiumum of number value for all entries, if getSize() == 0 it returns -1

### getVariables

    public final VariableList getVariables()
                                    throws IllegalArgumentException

  Get VariableList of all variables, the list is orderd by type and number of the pattern variables.

  Throws:
    `IllegalArgumentException` - if there is a programming error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.